<?
function separarfecha($fecha)
{
$p[0]; //1
$p[1];	//7
$p[2];//-
$p[3];	//1
$p[4];	//1
$p[5];//-
$p[6];	//2
$p[7];	//0
$p[8];	//0
$p[9];	//8
for($i=0; $i<=strlen($fecha); $i++){
	$p[$i] = $fecha[$i];
	}
		$fecha_correcta=$p[6].$p[7].$p[8].$p[9].$p[3].$p[4].$p[0].$p[1];
		return $fecha_correcta;	
}

function exclusiva($fecha)
{
$p[0]; //2
$p[1];	//0
$p[2];//0
$p[3];	//8
$p[4];	//-
$p[5];//1
$p[6];	//1
$p[7];	//-
$p[8];	//2
$p[9];	//8
for($i=0; $i<=strlen($fecha); $i++){
	$p[$i] = $fecha[$i];
	}
		$fecha_correcta=$p[0].$p[1].$p[2].$p[3].$p[5].$p[6].$p[8].$p[9];
		return $fecha_correcta;	
}

function ordenarfecha($fechas)
{
$p[0]; //2
$p[1];	//0
$p[2];	//0
$p[3];	//8
$p[4];	//1
$p[5];//2
$p[6];	//0
$p[7];	//9



for($i=0; $i<=strlen($fechas); $i++){
	$p[$i] = $fechas[$i];
	}
		$fecha_correcta=$p[6].$p[7]."/".$p[4].$p[5]."/".$p[0].$p[1].$p[2].$p[3];
		return $fecha_correcta;	
}

function convertir($moneda)
{
	if(strlen($moneda)<=3)
		{
			return $moneda;
		}
	if((strlen($moneda)>3)&&(strlen($moneda)<=6))
		{
			$longitud=(strlen($moneda)-3);
			$primeros=substr($moneda,0,$longitud);
			$ultimos=substr($moneda,-3);
			$concatenado=$primeros.".".$ultimos;
			return $concatenado;	
		} 
	if((strlen($moneda)>6)&&(strlen($moneda)<=7))
		{
			$ultimos=substr($moneda,-3);
			$medios=substr($moneda,-6,-3);
			$primeros=substr($moneda,0,1);
			$dev=$primeros.".".$medios.".".$ultimos;
			return $dev;			
		}
		
	if((strlen($moneda)>6)&&(strlen($moneda)<=8))
		{
			$ultimos=substr($moneda,-3);
			$medios=substr($moneda,-6,-3);
			$primeros=substr($moneda,0,2);
			$dev=$primeros.".".$medios.".".$ultimos;
			return $dev;			
		}
		
	if((strlen($moneda)>6)&&(strlen($moneda)<=9))
		{
			$ultimos=substr($moneda,-3);
			$medios=substr($moneda,-6,-3);
			$primeros=substr($moneda,0,3);
			$dev=$primeros.".".$medios.".".$ultimos;
			return $dev;			
		}
}
		
function desconvertir($moneda)
{
	$sinPunto=explode(".",$moneda);
	$resultado=$sinPunto[0].$sinPunto[1];	
	return $resultado;
}

function fotoEstado($estado)
{
	switch( $estado )
		{
			case "pagado": $dir = "../img/Cancelado.gif"; break;
			case "pendiente": $dir = "../img/Pend.gif"; break;
			case "nulo": $dir = "../img/Nulo.gif"; break;
			default : $dir = "../img/Defa.gif"; break;
		}
	return $dir;
}

function camTipo($tipo_trans)
{	
	switch($tipo_trans)
		{
			case "Efectivo": $trans = 3; break;
			case "Transferencia": $trans = 1; break;
			case "Documentos": $trans = 2; break;
			
		}
			return $trans;		
}

function estado($modoPago)
{
	if(eregi("Abono",$modoPago))
		{
			return 1;
		}
	if(eregi("Transferencia Fondos Internet",$modoPago))
		{
			return 1;
		}	
	if(eregi("Deposito Cheque",$modoPago))
		{
			return 2;
		}
	if(eregi("Deposito Con Documentos",$modoPago))
		{
			return 2;
		}	
	if(eregi("Deposito En Efectivo",$modoPago))
		{
			return 3;
		}
} 
			
				
	
			
function validacion($valor)
{
	if($valor=='0')
	{
		$aviso="<script type=\"text/javascript\">alert('No Existen Registros');</script>";
		return $aviso;
		exit();
	}
	
	
}

/*$fec="09/01/2009";
$dev=dias($fec);
print $dev;*/
function dias($fecha)
{
$sin=explode("/",$fecha);
$resultado=$sin[0]."-".$sin[1]."-".$sin[2];
$fechats = strtotime($resultado); 
switch (date('w', $fechats)){ 
    case 0: $day= "Domingo"; break; 
    case 1: $day= "Lunes"; break; 
    case 2: $day="Martes"; break; 
    case 3: $day= "Miercoles"; break; 
    case 4: $day= "Jueves"; break; 
    case 5: $day= "Viernes"; break; 
    case 6: $day= "Sabado"; break; 
		}
	return $day;		

}
function maxday($dia)
{
 	$sin=explode("/",$dia);
	$sumar=3;
	$dig=$sin[0];
	$resul=$dig+$sumar;
	$defin=$resul."/".$sin[1]."/".$sin[2];
	return $defin;
}
/*$fec="08/01/2009";
$dev=nextday($fec);
print $dev;*/
function nextday($sig)
{
	$sep=explode("/",$sig);
	$suma=1;
	$dia=$sep[0];
	$final=$dia+$suma;
	if(strlen($final)==1)
	{
	$final="0".$final;
	$return=$sep[2].$sep[1].$final;
	}
	else{
	$return=$sep[2].$sep[1].$final;
	}
	return $return;
	
}
	


//****************************************************************************************************************************

/*function quitar($fec,$Antes)
{
	switch ($Antes)
		{
			case "0 Actual": $dias= 0; break;
			case "1 Dia Atras": $dias= 1; break;
			case "2 Dias Atras": $dias= 2; break;
			case "3 Dias Atras": $dias= 3; break;
			case "4 Dias Atras": $dias= 4; break;
			case "5 Dias Atras": $dias= 5; break;
		}
		$fecha=$fec;
		$Back=date("Y-m-d", strtotime("$fecha -$dias day"));
		return $Back;
}
function sumar($fec,$Despues)
{	
	switch ($Despues)
		{
			case "0 Actual": $dias= 0;break;
			case "1 Dias Despues": $dias= 1;break;
			case "2 Dias Despues": $dias= 2;break;
			case "3 Dias Despues": $dias= 3;break;
			case "4 Dias Despues": $dias= 4;break;
			case "5 Dias Despues": $dias= 5;break;
		}
		$fecha=$fec;
		$Next=date("Y-m-d", strtotime("$fecha +$dias day")); 
		return $Next;
		
}*/

function quitarsumar($fec,$Antes,$Despues)
{	
	$fecslash=ordenarfecha($fec);		//27/01/2009
	$fecsin=explode("/",$fecslash);		//27012009
	$lista=$fecsin[2]."-".$fecsin[1]."-".$fecsin[0];
	switch ($Antes)
		{
			case "0 Actual": $dias= 0; break;
			case "1 Dia Atras": $dias= 1; break;
			case "2 Dias Atras": $dias= 2; break;
			case "3 Dias Atras": $dias= 3; break;
			case "4 Dias Atras": $dias= 4; break;
			case "5 Dias Atras": $dias= 5; break;
		}
		switch ($Despues)
		{
			case "0 Actual": $dia= 0;break;
			case "1 Dia Despues": $dia= 1;break;
			case "2 Dias Despues": $dia= 2;break;
			case "3 Dias Despues": $dia= 3;break;
			case "4 Dias Despues": $dia= 4;break;
			case "5 Dias Despues": $dia= 5;break;
		}
		$fecha=$lista;
		$Back=date("Y-m-d", strtotime("$fecha -$dias day"));
		$Next=date("Y-m-d", strtotime("$fecha +$dia day"));
		$return=$Back.",".$Next;
		$sin=explode(",",$return);
		$fec1=exclusiva($sin[0]);
		$fec2=exclusiva($sin[1]);
		$fin=$fec1.",".$fec2;
		return $fin;
}
/*
$fecha="20090101";
$antes="5 Dias Atras";
$Des="1 Dia Despues";

$dev=quitarsumar($fecha,$antes,$Des);
print $dev;*/
		
function tipo_pago($modoPago)
{
	if(eregi("Transferencia Electronica",$modoPago))
		{
			return 1;
		}	
	if(eregi("Deposito con documento",$modoPago))
		{
			return 2;
		}	
	if(eregi("Deposito con efectivo",$modoPago))
		{
			return 3;
		}
}



?>



